export interface OrgData {
    name: string;
    type: string;
    cssClass?: string;
    css?: string;
    nameCss?: string;
    typeCss?: string;
    onClick?: () => void;
    children: OrgData[];
}
export declare class OrgEntity implements OrgData {
    name: string;
    type: string;
    children: OrgEntity[];
    cssClass?: string;
    css?: string;
    nameCss?: string;
    typeCss?: string;
    onClick: () => void;
    parent?: OrgEntity;
    constructor(orgStructure: string[], parent?: OrgEntity);
}
